Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.pki
Class ExtendedCertStore

    java.lang.Object
      java.security.cert.CertStore
          cryptix.pki.ExtendedCertStore

public class ExtendedCertStore
extends java.security.cert.CertStore

DOCUMENT ME

Version:
  $Revision: 1.3 $
Author:
  Edwin Woudt

Constructor Summary
`protected` | `ExtendedCertStore(ExtendedCertStoreSpi storeSpi, java.security.Provider provider, java.security.cert.CertStoreParameters params, java.lang.String type)` Create a new ExtendedCertStore object containing the given SPI object.

Method Summary
`static java.security.cert.CertStore` | `getInstance(java.lang.String type, java.security.cert.CertStoreParameters params)` Returns an ExtendedCertStore that implements the given format.
`static java.security.cert.CertStore` | `getInstance(java.lang.String type, java.security.cert.CertStoreParameters params, java.security.Provider provider)` Returns an ExtendedCertStore from the given provider that implements the given format.
`static java.security.cert.CertStore` | `getInstance(java.lang.String type, java.security.cert.CertStoreParameters params, java.lang.String provider)` Returns an ExtendedCertStore from the given provider that implements the given format.
`java.util.Collection` | `getKeyBundles(KeyBundleSelector selector)` Returns a Collection of KeyBundles matching the given selector.
`void` | `setKeyBundleEntry(KeyBundle bundle)` Stores the given keybundle in this store.

Methods inherited from class java.security.cert.CertStore
`getCertificates, getCRLs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedCertStore

    protected ExtendedCertStore(ExtendedCertStoreSpi storeSpi,
                                java.security.Provider provider,
                                java.security.cert.CertStoreParameters params,
                                java.lang.String type)

  Create a new ExtendedCertStore object containing the given SPI object.

Method Detail

### getInstance

    public static java.security.cert.CertStore getInstance(java.lang.String type,
                                                           java.security.cert.CertStoreParameters params)
                                                    throws java.security.NoSuchAlgorithmException,
                                                           java.security.InvalidAlgorithmParameterException

  Returns an ExtendedCertStore that implements the given format.

  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.security.InvalidAlgorithmParameterException`

### getInstance

    public static java.security.cert.CertStore getInstance(java.lang.String type,
                                                           java.security.cert.CertStoreParameters params,
                                                           java.lang.String provider)
                                                    throws java.security.NoSuchAlgorithmException,
                                                           java.security.NoSuchProviderException,
                                                           java.security.InvalidAlgorithmParameterException

  Returns an ExtendedCertStore from the given provider that implements the given format.

  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.security.NoSuchProviderException`
    `java.security.InvalidAlgorithmParameterException`

### getInstance

    public static java.security.cert.CertStore getInstance(java.lang.String type,
                                                           java.security.cert.CertStoreParameters params,
                                                           java.security.Provider provider)
                                                    throws java.security.NoSuchAlgorithmException,
                                                           java.security.InvalidAlgorithmParameterException

  Returns an ExtendedCertStore from the given provider that implements the given format.

  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.security.InvalidAlgorithmParameterException`

### getKeyBundles

    public final java.util.Collection getKeyBundles(KeyBundleSelector selector)
                                             throws java.security.cert.CertStoreException

  Returns a Collection of KeyBundles matching the given selector.

  If no matches can be found, an empty collection will be returned.

  Parameters:
    `selector` - A selector that specifies which keybundles to return. Specify null here to return all keybundles (if supported).
  Returns:
    a (possibly empty) Collection of KeyBundles that match the given selector.
  Throws:
    `java.security.cert.CertStoreException` - on a variety of type specific problems, including no support for the 'null' selector.

### setKeyBundleEntry

    public final void setKeyBundleEntry(KeyBundle bundle)
                                 throws java.security.cert.CertStoreException

  Stores the given keybundle in this store.

  Parameters:
    `bundle` - the bundle to store
  Throws:
    `java.security.cert.CertStoreException` - on a variety of type specific problems

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.